routes/web.php
<?php

use App\Invoice;
use App\Payment;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/* Front-End Routes */
Route::get('/', function () {
    return view('welcome');
})->name('/');


Route::get('/signup', function () {
    return view('signup');
})->name('signup')->middleware('guest');

Route::resource('/user', 'UsersController');


Route::get('/login', function () {
    return view('login');
})->name('login');

Route::get('/pricing', function () {
    return view('pricing');
})->name('pricing');

Route::get('/account', function () {

    $invoices=Invoice::where('user_id',auth()->user()->id)->get()->all();
    $totalInvoices=count($invoices);
    $userPlanEndsOn=Payment::select('payment_end_date')->where('user_id',auth()->user()->id)->get()->all();
    $userPlanEndsOn=$userPlanEndsOn[0]->payment_end_date;
    return view('account',compact('totalInvoices','userPlanEndsOn'));
})->name('account');

Route::get('/about-us', function () {
    return view('about-us');
})->name('about-us');

Route::resource('/invoice','InvoiceController');

Route::get('pdf/{id}','InvoiceController@GeneratePdf')->name('pdf');

Route::post('search','InvoiceController@InvoiceSearch')->name('search');

Route::get('paystack-callback-url','UsersController@paystackCallBack');




/* Admin Routes */

Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});




Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/about-us.blade.php
@extends('layouts.master')
@section('headerbox')
    <div class="welcome-text-area white" >
        <div class="area-bg"></div>
        <div class="welcome-area">
            <div class="container">
                <div class="row flex-v-center">
                    <div class="col-md-7 col-lg-7 col-sm-12 col-xs-12">
                        <div class="welcome-mockup center">
                            <img src="img/home/watch-mockup.png" alt="">
                        </div>
                    </div>
                    <div class="col-md-7 col-lg-7 col-sm-12 col-xs-12">
                        <div class="welcome-text">
                            <h1>Welcome To ShoppersBill Invoice Apps.</h1>
                            <p> Generate Invoice and Reciept for everyone Including - shop Owners, Business, Freelancers,, store owners,Ecommerce, Transactions, Deals e.t.c.

                                .</p>
                            <div class="home-button">
                                <a href="#">Create Receipt / Invoice</a>
                                <a href="#">Search for Invoice </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('content')
<!--FEATURES TOP AREA-->
<section class="features-top-area padding-100-50" id="features">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-6 col-md-offset-2 col-lg-offset-3 col-sm-12 col-xs-12">
                    <div class="area-title text-center wow fadeIn">
                        <h2>About<span>ShoppersBill</span></h2>
                        <span class="icon-and-border"><i class="material-icons">phone_android</i></span>
                        <h3> <p>ShoppersBill is an Online Invoicing and Reciept generation Platform . For shop Owners, Business, Freelancers, and store owners,.</p>

<p>Enabling Individulas Generate and save invoice created for Customers or partners for Transactionon done, either in person or online .</p>

<p>Allowing individuals keep a record of their Invoice on our Platform that can be searched for anywhere around the world .</p>

<p>Search for Invoice, Receipt, fliers, Certficates, documents and Paper-works generated on our Platfrom.</p>

<p> Upload your Documents Invoice Certificates and Reciept ,let us help you save and keep it, Your Documents can been seen from all over the world. </p>

<p> Get to Create and save Beautifully designed Invoice and Receipt that can be generated and viewed from anywhere in the world </p> </h3>

<p>-</p>


<p> <h2> The Security and Speed of e-Invoicing </h2> </p>
<h3><p>ShoppersBill gives businesses solutions to security problems that paper processes are the cause of. Paper-based processes bring the fear of catching manual mistakes when its too late. When paired with data encryption and firewalls, Shoppersbill provides the security for sensitive vendor and payment information that a file cabinet cannot 100% guarantee. With invoicing management software, organizations have control over the security of their data because the system includes many internal safety features such as validation requirements, duplicate scans, and various degrees of approval requirements based on your companys current processes.</p> </h3>

<p>-</p>

<p> <h2> Amongst the Issues ShoppersBill is Trying to solve are </h2> </p>
<h3> <p>*	Loss of Paper Receipt and Invoice</p>
<p>	* Loss of Generated Bill</p>
<p>	* Stolen Receipt</p>
<p>	* Creation and entry errors on both sides</p>
<p>	* High operational costs per invoice on both sender and receiver side</p>
<p>	* Even more costs in the case of errors or disputes</p>
<p>	* Involvement of multiple systems</p>
<p>	* Database for all Invoice Receipt and Bills</p>
<p>	* View Invoices and Receipts after Purchase</p> </h3>   

<p> - </p>
<p> - </p>  

<h3> <p>For the last several years, business partners have relied more frequently on electronic invoicing, also known as e-invoicing, through services like our company - ShoppersBill. This is simply the electronic transfer of billing and payment information between the supplier and buyer.</p> </h3>

<p> <h2>For buyers, the benefits of ShoppesrBill include:</h2> </p>
<h3><p>	* Fast Receipt and Invoice</p>
<p>	* Steady Record of Invoice and Receipt</p>
<p>	* Large Database Record</p>
<p>	* Reduction in costs</p>
<p>	* Faster processing and payment cycle</p>
<p>	* Improved cash flow management</p>
<p>	* Increase in accuracy</p>
<p>	* Reduction in the use of Paper, Receipt, Invoice & Bill </p>	
<p>	* Reduction in late payment fees, fraud, and duplicate invoices</p>


<p> <h2>For suppliers, the benefits of ShoppersbIll include:</h2> </p>
<h3><p>	* Faster payments</p>
<p>	* Increase in productivity</p>
<p>	* Fewer rejected invoices</p>
<p>	* Improved cash flow management</p>
<p>	* Additional finance options</p>

<p> - </p>
<p> - </p>

<h3><p>As for managers, Shoppersbill will assist with any green initiatives that your organization has implemented, as well improving visibility and strengthening supplier/customer relationships.</p></h3>


<p> <h2>Types of Service we provide Includes </h2> </p>
<h3><p>There are several different types of services we are offering to the general Public, The most common invoices used are:</p>
<p>	* Invoice Generation (Invoice as a service)</p>
<p>	* Receipt and Bill Generation</p>
<p>	* Proposal/Bid/Pro Forma. An expectation of how much a business is going to charge for goods or services. As opposed to a bill, this is a preliminary appraisal.</p>
<p>	* Interim Invoice. Invoices that are sent out weekly or monthly during a long-term project.</p>
<p>	* Recurring Invoices. Used for recurring customers. Shoppersbill can automate these invoices.</p>
<p>	* Past Due Invoices. Sent when an account is past due. Includes original invoice and interest accrued.</p>
<p>	* Final Invoice. An invoice that is sent out following the completion of a project.</p>
<p>	* Certificate Generation (Marriage, law. School e.t.c)</p>
<p>	Forms and Grid Forms Generation</p></h3>


<p> <h2> Contact us</h2>. </p>
<p> <h3>Please Call us @ - <h3 ></p>,    <p> <h3>(+234) 08034071475, o7086374876, 08160669808, </h3> </p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                    <div class="qs-box relative mb50 center wow fadeInUp" data-wow-delay="0.2s">
                        <div class="qs-box-icon">
                      <img src="img/icon/icon-1.png" height="70" width="70" alt="happy" class="picture">
                        </div>
                        <h3>Upload & Save</h3>
                        <p>Upload your Documents Invoice Certificates and Reciept ,let us help you save and keep it, Your Documents can been seen from all over the world .</p>
                        <a href="/create/" class="read-more"> Click to Upload</a>
                    </div>
                </div>
                <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                    <div class="qs-box relative mb50 center  wow fadeInUp" data-wow-delay="0.3s">
                        <div class="qs-box-icon">
                   <img src="img/icon/11.png" height="90" width="80" alt="happy" class="picture">
                        </div>
                        <h3>Create Invoice</h3>
                        <p>Get to Create and save Beautifully designed Invoice and Receipt that can be generated and viewed from anywhere in the world.</p>
                        <a href="/create/" class="read-more">Click to Create</a>
                    </div>
                </div>
                <div class="col-md-4 col-lg-4 col-sm-12 col-xs-12">
                    <div class="qs-box relative mb50 center  wow fadeInUp" data-wow-delay="0.4s">
                        <div class="qs-box-icon">
                            <img src="img/icon/icon3.png" height="90" width="80" alt="happy" class="picture">                        </div>
                        <h3>Search for Invoice</h3>
                        <p>Search for Invoice, Receipt, fliers,  Certficates, documents and Papew-works generated on our Platfrom.</p>
                        <a href="https://shoppersbill.com/logines/invoices.php" class="read-more">Click to Search</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--FEATURES TOP AREA END-->
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/login.blade.php
@extends('layouts.master')
@section('style')
    <style>
        #signup {
            width: 60%;
            margin: 60px auto;
            background: white;
            padding: 60px 120px 80px 120px;
            text-align: center;
            -webkit-box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
            box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
        }
       
        label {
            display: block;
            position: relative;
            margin: 40px 0px;
        }
        .input {
            width: 100%;
            padding: 10px;
            background: transparent;
            border: none;
            outline: none;
        }

        .line-box {
            position: relative;
            width: 100%;
            height: 2px;
            background: #BCBCBC;
        }

        .line {
            position: absolute;
            width: 0%;
            height: 2px;
            top: 0px;
            left: 50%;
            transform: translateX(-50%);
            background: #1193d4;
            transition: ease .6s;
        }

        .input:focus + .line-box .line {
            width: 100%; background: transparent !important;
        }
        .input:-webkit-autofill {
            -webkit-box-shadow: 0 0 0 100px transparent inset !important;
            background: transparent !important;
        }
        .label-txt {
            position: absolute;
            top: -1.6em;
            padding: 10px;
            font-family: sans-serif;
            font-size: .8em;
            letter-spacing: 1px;
            color: rgb(120,120,120);
            transition: ease .3s;
        }

        .label-active {
            top: -3em;
        }

        button {
            display: inline-block;
            padding: 12px 24px;
            background: rgb(220,220,220);
            font-weight: bold;
            color: rgb(120,120,120);
            border: none;
            outline: none;
            border-radius: 3px;
            cursor: pointer;
            transition: ease .3s;
        }

        button:hover {
            background: #1193d4;
            color: #ffffff;
        }
    </style>
@endsection
@section('content')
    <section style="background-image: linear-gradient(to bottom, #1193d4 , transparent,transparent,transparent,transparent);" class="price-area padding-100-70 sky-gray-bg" id="pricing">
        <br>
        <br>
        <br>
        <br>
        <form id="signup" method="post" action="{{ route('login') }}">
            @csrf
            <h1 style="text-align:center; ">Login</h1>
            <label>
                <p class="label-txt">ENTER YOUR EMAIL</p>
                <input type="email" name="email" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>

            <label>
                <p class="label-txt">ENTER YOUR PASSWORD</p>
                <input type="password" name="password" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            <div class="form-group row">
                <div class="col-md-6 offset-md-4">
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

                        <label class="form-check-label" for="remember">
                            {{ __('Remember Me') }}
                        </label>
                    </div>
                </div>
            </div>
            <button type="submit">Login</button>
            @if (Route::has('password.request'))
                <a class="btn btn-link" href="{{ route('password.request') }}">
                    {{ __('Forgot Your Password?') }}
                </a>
            @endif
        </form>
    </section>
@endsection

resources/views/pricing.blade.php
@extends('layouts.master')
@section('headerbox')
<!--PRICING AREA-->
<section style="background-image: linear-gradient(to bottom, #1193d4 , transparent,transparent,transparent,transparent);" class="price-area padding-100-70 sky-gray-bg" id="pricing">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-6 col-md-offset-2 col-lg-offset-3 col-sm-12 col-xs-12">
                <div class="area-title text-center wow fadeIn">
                    <h2>Pricing <span>Table</span></h2>
                    <span class="icon-and-border"><i class="material-icons">phone_android</i></span>
                    <p>Check below to see our Pricing Offer.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="single-price center wow fadeInUp" data-wow-delay="0.2s">
                    <div class="price-hidding">
                        <h2>ShoppersBill - Free Usage</h2>
                    </div>
                    <div class="price-rate">
                        <h2><sup>$</sup>0.00
                            <sub>Unlimited & Free</sub>
                        </h2>
                    </div>
                    <div class="price-details">
                        <ul>
                            <li>Create Unlimited Invoice, Receipt & Bills</li>
                            <li> Unlimited Upload</li>
                            <li>No Tech support</li>
                        </ul>
                    </div>
                    <div class="buy-now-button">
                        <a href="#" class="read-more">Create for free</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="single-price center wow fadeInUp" data-wow-delay="0.3s">
                    <div class="price-hidding">
                        <h2>ShoppersBill - One-off (1-Hour)</h2>
                    </div>
                    <div class="price-rate">
                        <h2><sup>$</sup>0.45
                            <sub>1 Hour + 15% off</sub>
                        </h2>
                    </div>
                    <div class="price-details">
                        <ul>
                            <li>Create Unlimited Invoice, Receipt & Bills</li>
                            <li>1 Hour Unlimited Upload +Backup</li>
                            <li>1/Month Tech support</li>
                            <li>Save Invoice & Receipt Online</li>
                        </ul>
                    </div>
                    <div class="buy-now-button">
                        <a href="#" class="read-more">Purchase</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="single-price center wow fadeInUp" data-wow-delay="0.4s">
                    <div class="price-hidding">
                        <h2>ShoppersBill - One Month Package (Monthly)</h2>
                    </div>
                    <div class="price-rate">
                        <h2><sup>$</sup>2.80
                            <sub>1 Month </sub>
                        </h2>
                    </div>
                    <div class="price-details">
                        <ul>
                            <li>Create Unlimited Invoice, Receipt & Bills</li>
                            <li>1/Month Unlimited Upload + Backup</li>
                            <li>1/Month Tech support</li>
                            <li> Save Invoices & Receipt Online </li>
                        </ul>
                    </div>
                    <div class="buy-now-button">
                        <a href="#" class="read-more">Purchase</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-lg-4 col-sm-6 col-xs-12">
                <div class="single-price center wow fadeInUp visible-sm" data-wow-delay="0.5s">
                    <div class="price-hidding">
                        <h2>ShoppersBill - Yearly Package</h2>
                    </div>
                    <div class="price-rate">
                        <h2><sup>$</sup>28
                            <sub>1 Year</sub>
                        </h2>
                    </div>
                    <div class="price-details">
                        <ul>
                            <li>Create Unlimited Invoice, Receipt & Bills</li>
                            <li>1 Year Unlimited Upload + Backup</li>
                            <li>24x7 Tech support</li>
                        </ul>
                    </div>
                    <div class="buy-now-button">
                        <a href="#" class="read-more">Purchase</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--PRICING AREA END-->
@endsection

resources/views/signup.blade.php
@extends('layouts.master')
@section('style')
<style>


    #signup {
    width: 60%;
    margin: 60px auto;
    background: white;
    padding: 60px 120px 80px 120px;
    text-align: center;
    -webkit-box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
    box-shadow: 2px 2px 3px rgba(0,0,0,0.1);
    }
    label {
    display: block;
    position: relative;
    margin: 40px 0px;
    }
    .input {
    width: 100%;
    padding: 10px;
    background: transparent;
    border: none;
    outline: none;
    }

    .line-box {
    position: relative;
    width: 100%;
    height: 2px;
    background: #BCBCBC;
    }

    .line {
    position: absolute;
    width: 0%;
    height: 2px;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    background: #1193d4;
    transition: ease .6s;
    }

    .input:focus + .line-box .line {
    width: 100%; background: transparent !important;
    }
    .input:-webkit-autofill {
        -webkit-box-shadow: 0 0 0 100px transparent inset !important;
        background: transparent !important;
    }
    .label-txt {
    position: absolute;
    top: -1.6em;
    padding: 10px;
    font-family: sans-serif;
    font-size: .8em;
    letter-spacing: 1px;
    color: rgb(120,120,120);
    transition: ease .3s;
    }

    .label-active {
    top: -3em;
    }

    button {
    display: inline-block;
    padding: 12px 24px;
    background: rgb(220,220,220);
    font-weight: bold;
    color: rgb(120,120,120);
    border: none;
    outline: none;
    border-radius: 3px;
    cursor: pointer;
    transition: ease .3s;
    }

    button:hover {
    background: #1193d4;
    color: #ffffff;
    }
    .error{
        color:red;
    }
 </style>
@endsection
@section('content')
    <section style="background-image: linear-gradient(to bottom, #1193d4 , transparent,transparent,transparent,transparent);" class="price-area padding-100-70 sky-gray-bg" id="pricing">
        <br>
        <br>
        <br>
        <br>
        <form id="signup" method="post" action="{{route('user.store')}}">
            @csrf
            <h1 style="text-align:center; ">SignUp</h1>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    {{Session::get('success')}}
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    {{Session::get('error')}}
                </div>
            @endif
            @if($errors->has('email'))
                <p class="error">{{$errors->first('email')}}</p>
            @endif
            <label>
                <p class="label-txt">ENTER YOUR EMAIL</p>
                <input type="email" name="email" value="{{old('email')}}" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            @if($errors->has('firstname'))
                <p class="error">{{$errors->first('firstname')}}</p>
            @endif
            <label>
                <p class="label-txt">ENTER YOUR FIRST NAME</p>
                <input type="text" name="firstname" value="{{old('firstname')}}" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            @if($errors->has('lastname'))
                <p class="error">{{$errors->first('lastname')}}</p>
            @endif
            <label>
                <p class="label-txt">ENTER YOUR LAST NAME</p>
                <input type="text" name="lastname" value="{{old('lastname')}}" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            @if($errors->has('password'))
                <p class="error">{{$errors->first('password')}}</p>
            @endif
            <label>
                <p class="label-txt">ENTER YOUR PASSWORD</p>
                <input type="password" name="password" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            <label>
                <p class="label-txt">ENTER YOUR PASSWORD AGAIN</p>
                <input type="password" name="password_confirmation" class="input">
                <div class="line-box">
                    <div class="line"></div>
                </div>
            </label>
            @if($errors->has('membershipType'))
                <p class="error">{{$errors->first('membershipType')}}</p>
            @endif
            <label style="text-align: left;">
                <p class="label-txt">SELECT MEMBERSHIP TYPE </p><br>
                &nbsp;&nbsp;&nbsp;<input type="radio" value="1" {{old('membershipType')== '1' ? 'checked':''}} name="membershipType">&nbsp;<b>WEEKLY</b>
                &nbsp;&nbsp;&nbsp;<input type="radio" value="2" {{old('membershipType')== '2' ? 'checked':''}} name="membershipType">&nbsp;<b>MONTHLY</b>
                &nbsp;&nbsp;&nbsp;<input type="radio" value="3" {{old('membershipType')== '3' ? 'checked':''}} name="membershipType">&nbsp;<b>YEARLY</b>
            </label>
            <button type="submit">Signup</button>
        </form>
    </section>

@endsection